/*
 * @Title HFAnalyticsStorage.java
 * @Copyright Copyright 2010-2015 Careland Software Co,.Ltd All Rights Reserved.
 * @author LiangYJ
 * @date 2015-7-29 9:01:30
 * @version 1.0
 */
package cnv.hf.widgets;

/** 
 * ģʽͳݽṹ
 * @author LiangYJ
 * @date 2015-7-29 9:01:30
 */
public class HFAnalyticsStorage {

	private String modeName;
	private int lifeCycle;
//	private int totalWidgets;
	private long currentTime;
	private long costTime;
	
	public HFAnalyticsStorage(){
		modeName = "";
		lifeCycle = HFModeLifeCycle.LifeCycle_Create_Begin;
//		totalWidgets = 0;
		costTime = 0;
	}
	public static class HFModeLifeCycle{
		public final static int LifeCycle_Create_Begin = 0x00;            //ʼ
		public final static int LifeCycle_Create_Finish = 0x01;           //
		public final static int LifeCycle_Start_Begin = 0x02;             //start start
		public final static int LifeCycle_Start_Finish = 0x03;            //start finish
		public final static int LifeCycle_Resume_Begin = 0x04;            //resume start
		public final static int LifeCycle_Resume_Finish = 0x05;           //resume finish
		public final static int LifeCycle_Pause_Begin = 0x06;             //pause
		public final static int LifeCycle_Pause_Finish = 0x07;            //pause
		public final static int LifeCycle_Stop_Begin = 0x08;              //stop
		public final static int LifeCycle_Stop_Finish = 0x09;             //stop
		public final static int LifeCycle_Destroy_Begin = 0x10;           //ٿʼ
		public final static int LifeCycle_Destroy_Finish = 0x11;          //ٽ
		public final static int LifeCycle_ReStart_Begin = 0x12;           //restartʼ
		public final static int LifeCycle_ReStart_Finish = 0x13;          //restart
	}
	
	/** @return the modeName*/
	public String getModeName() {
		return modeName;
	}
	
	/** @param modeName the modeName to set*/
	public void setModeName(String modeName) {
		this.modeName = modeName;
	}
	
	/** @return the lifeCycle*/
	public int getLifeCycle() {
		return lifeCycle;
	}
	
	/** @param lifeCycle the lifeCycle to set*/
	public void setLifeCycle(int lifeCycle) {
		this.lifeCycle = lifeCycle;
	}

	/** @return the currentTime*/
	public long getCurrentTime() {
		return currentTime;
	}

	/** @param currentTime the currentTime to set*/
	public void setCurrentTime(long currentTime) {
		this.currentTime = currentTime;
	}

	/** @return the costTime*/
	public long getCostTime() {
		return costTime;
	}

	/** @param costTime the costTime to set*/
	public void setCostTime(long costTime) {
		this.costTime = costTime;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "HFAnalyticsStorage [modeName=" + modeName + ", lifeCycle="
				+ lifeCycle + ",  currentTime=" + currentTime + ", costTime=" + costTime
				+ "]";
	}
	
	
}
