package cnv.hf.widgets;

import hmi.mapctrls.HPMapAPI;
import hmi.packages.HPGLRenderer;
import hmi.packages.HPWidgetEvent.HPWidgetEventArgument;
import hmi.packages.HPWindowManager;

import java.util.Vector;

import android.annotation.SuppressLint;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.text.TextUtils;
import android.view.Display;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.widget.AbsoluteLayout.LayoutParams;
import android.widget.ImageView;
import android.widget.Toast;
import cnv.hf.widgets.HFModeFragment.HFFragmentResult;
import cnv.hf.widgets.HFModesManager.HFOnChangeOrientationInterface;
import cnv.hf.widgets.HFModesManager.HFOrientation;
import cnv.hf.widgets.HFModesManager.HFPendingTransition;
import cnv.hf.widgets.HFWidgetStorage.HFBaseStorage;
import cnv.hf.widgets.HFWidgetStorage.HFLayerStorage;
import cnv.hf.widgets.HFWidgetsManager.HFWidgetType;
@SuppressLint("NewApi")
public class HFMapActivity extends HFModeActivity {
	
	//HFMapActivityʱҪFragment
	protected final static String HF_FIRST_FRAGMENT = "HF_FIRST_FRAGMENT";
	//ͼؼ
	private final static String HF_MAPVIEW_NAME = "MapView";
	//ͼ滻Id
	public final static int HF_MAPMODE_CONTENT_ID = 2013091214;
	//ͼ滻ImageؼID
	public final static int HF_MAPMODE_CONTENT_IMAGEBG_ID = 2013091216;
	//ͼͼID
	public final static int HF_MAPMODE_MAPLAYER_ID = 2013091215;
	//ͼؼ
	private HFMapWidget mMapWidget = null;
	private HFLayerWidget layerMap = null;
	
	private HFLayerWidget layerContent = null;
	
	private ImageView mImage = null;
	//ģʽջ
	private Vector<HFModeFragment> mFragmentStacks = new Vector<HFModeFragment>();
	
//	//added by LiangYJ 20150711
//	private int mCurrentOrientation = HFOrientation.eOrientation_Unknown;
//	//end
	
	//added by LiangYJ 20150729
	private HFAnalyticsStorage mAnalyticsStorage;
	//end
	private int maxHeight = 0;
	private int mScreenHeight = 0;
	private int mNavigationBarHeight = 0;
	

	/*======================================================
	: װͼ
	:  
	ֵ: 
	˵װͼؼ
	======================================================*/
	@Override
	public void loadLayerWidgets() {
		
		//ģʽջ
		//mFragmentStacks = new ArrayList<HFModeFragment>();
		//ͼģʽģʽ
		HFModesManager.setMapMode(this);
		//ȡǰĻĿ
		int width = HFModesManager.getScreenWidth();//getWindowManager().getDefaultDisplay().getWidth();
		int height = HFModesManager.getScreenHeight();//getWindowManager().getDefaultDisplay().getHeight();
		if(HFModesManager.isFullScreen() == false)
			height = height - HFModesManager.getStatusBarHeight();
		//һͼؼݶ
		HFBaseStorage data = new HFBaseStorage();
		//ÿؼ
		data.setName(HF_MAPVIEW_NAME);
		//ÿؼλ
		data.setBound(0, 0, width, height);
		//ÿؼ
		data.setType((short)HFWidgetType.eWidgetType_MapView);
		//ͼؼ
		mMapWidget = new HFMapWidget(this, data);
		//һͼΪװͼؼ
		layerMap = new HFLayerWidget(this);
		layerMap.setId(HF_MAPMODE_MAPLAYER_ID);
		//ͼĴС
		layerMap.setBound(new HFWidgetBound(0, 0, width, height));
		//װͼؼ
		layerMap.addWidget(mMapWidget,-1,-1);
		//ͼװ뵽ģʽĸ
		super.addLayerWidget2Display(layerMap);
		//һ滻
		layerContent = new HFLayerWidget(this);
		layerContent.setId(HF_MAPMODE_CONTENT_ID);
		layerContent.setBound(new HFWidgetBound(0, 0, width, height));
		mImage = new ImageView(this);
		mImage.setId(HF_MAPMODE_CONTENT_IMAGEBG_ID);
		mImage.setLayoutParams(new LayoutParams(width ,height,0,0));
		mImage.setBackgroundDrawable(null);
		mImage.setImageDrawable(null);
		layerContent.addView(mImage);
		super.addLayerWidget2Display(layerContent);
		//ǷһδҪһĬϵlayout
		Intent intent = this.getIntent();
		if(intent != null) {
			Class<?> clazz = (Class<?>) intent.getSerializableExtra(HF_FIRST_FRAGMENT);
			if(clazz != null) {
				startFragment(clazz, intent, getPendingTransition());
			}
		}
		
//		//һգ֤һһģʽڣadded by Liangyj 20160116
//		if(mFragmentStacks.size() < 1){
//			if(HFModesManager.getFirstModeClass() != null)
//			    startFragment(HFModesManager.getFirstModeClass(), getPendingTransition());
//		}
//		//end
		//һhandler
		this.setOnMessageListener(null);
		
//		if(getSlideMenu() != null){
//			getSlideMenu().addOnSlideMenuChangedListener(mSlideMenuChangedListener);
//		}
	}
	
	/**
	* װָFragment
	*
	* @param  pendingTransition [in] 
	* @param  
	* @return Id
	*/	
	public void startFragment(Class<?> cls, int pendingTransition) {
		startFragment(cls, null, pendingTransition);
	}
	/**
	* װָFragment
	*
	* @param  pendingTransition [in] 
	* @param  
	* @return Id
	*/	
	public void startFragment(Class<?> cls, Intent intent, int pendingTransition) {
		
		startFragment(cls,intent, pendingTransition,"");
	}	
	
	/**
	* װָFragment
	*
	* @param  pendingTransition [in] 
	* @param  
	* @return Id
	*/	
	public void startFragment(Class<?> cls, Intent intent, int pendingTransition,String singleTag) {
		
		//added by LiangYJ 20150706 ǰͨaddʽӵģpopջ
		HFModeFragment currentFragment = getCurrentFragment();
		if(currentFragment != null && currentFragment.isStartedByAdd()){
			popFragment(false,"");
		}
		//end
		HFModesManager.isCreatingFragment = true;
		HFModeFragment fragment = null;
		try {
			fragment = (HFModeFragment) cls.newInstance();
			if(intent != null) {
				fragment.setIntent(intent);
				fragment.setSingleTag(singleTag);
				if(intent.getExtras() != null) {
					fragment.setArguments(intent.getExtras());
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}		
		if(fragment != null) {
			HPGLRenderer.setMapUpdateEnable(false);
			HPGLRenderer.setMapGLRenderer(false);
			FragmentManager fm = getSupportFragmentManager();
			FragmentTransaction ft = fm.beginTransaction();	
			HFModesManager.overrideStartAnimation(ft, pendingTransition);
			ft.replace(HF_MAPMODE_CONTENT_ID, fragment);
			ft.addToBackStack(null);
			ft.commitAllowingStateLoss();
		}
	}	
	/**
	* Fragmentջ
	*
	* @param  fragment
	* @param  
	* @return 
	*/		
	protected void pushFragment(HFModeFragment fragment) {
		synchronized(mFragmentStacks){
		if(mFragmentStacks != null && fragment != null) {
				if (fragment.isAddToTask)
					mFragmentStacks.add(fragment);
			}
		}
	}
	/**
	* ȡǰFragment
	*
	* @param  
	* @param  
	* @return ǰFragment
	*/	
	public HFModeFragment getCurrentFragment() {
		synchronized(mFragmentStacks){
		if(mFragmentStacks != null && mFragmentStacks.size() > 0) {
			return mFragmentStacks.get(mFragmentStacks.size() - 1);
			}
		}
		return null;
	}
	/**
	* ջ
	*
	* @param  
	* @param  
	* @return true: ջɹ; false ջʧ
	*/	
	public boolean popFragment() {
		HFModeFragment fragment = null;
		HFFragmentResult result = null;
		boolean isStartedByAdd = false;
		fragment = getCurrentFragment();
		//added by liangYJ 20150619
		if(fragment != null)
			isStartedByAdd = fragment.isStartedByAdd();
		//end
		synchronized(mFragmentStacks){
			if(mFragmentStacks.size() <= 1)
				return false;
			if(mFragmentStacks != null) {
				result = fragment.getResult();
				mFragmentStacks.remove(mFragmentStacks.size() - 1);
			}
		}
		HPGLRenderer.setMapUpdateEnable(false);
		getSupportFragmentManager().popBackStack();
		fragment = getCurrentFragment();
		if(fragment != null) {
			//added by liangYJ 20150619
			//Ҫ˳fragmentͨaddʽӵģֱӵonReEnter
			if (isStartedByAdd) {
				boolean isModeContainMapView = fragment.isModeContainMapView();
				if (isModeContainMapView) {
					HPGLRenderer.setMapGLRenderer(true);
					HPGLRenderer.setMapUpdateEnable(true);
					HPMapAPI.setContainMapView(isModeContainMapView);
				}
				fragment.onReEnter();
			}

			else
				fragment.SetReEnterFlag(true);
//			fragment.changeOrientation(HFModesManager.getOrientation());
			//end
			if(result != null && result.isRequestResult()) {
				fragment.onActivityResult(	result.getRequestCode(), 
											result.getResultCode(), 
											result.getResultData());
			}		
		}
		return true;
	}
	
	/** ջ
	 * @param reEnter ִջʱǷҪִonReEnterΪfalseʱжǷΪĿģʽҲִonReEnter
	 * @param targetModeName Ŀģʽ
	 * @return
	 * @return true: ջɹ; false ջʧ
	 * @author LiangYJ
	 * @date 2016519 2:53:15
	 */ 
	public boolean popFragment(boolean reEnter,String targetModeName) {
		HFModeFragment fragment = null;
		HFFragmentResult result = null;
		boolean isStartedByAdd = false;
		fragment = getCurrentFragment();
		//added by liangYJ 20150619
		if(fragment != null)
			isStartedByAdd = fragment.isStartedByAdd();
		//end
		synchronized(mFragmentStacks){
			if(mFragmentStacks.size() <= 1)
				return false;
			if(mFragmentStacks != null) {
				result = fragment.getResult();
				mFragmentStacks.remove(mFragmentStacks.size() - 1);
			}
		}
		HPGLRenderer.setMapUpdateEnable(false);
		getSupportFragmentManager().popBackStack();
		fragment = getCurrentFragment();
		if(fragment != null) {
			//added by liangYJ 20150619
			//Ҫ˳fragmentͨaddʽӵģֱӵonReEnter
			if(reEnter){
				if (isStartedByAdd) {
					boolean isModeContainMapView = fragment.isModeContainMapView();
					if (isModeContainMapView) {
						HPGLRenderer.setMapGLRenderer(true);
						HPGLRenderer.setMapUpdateEnable(true);
						HPMapAPI.setContainMapView(isModeContainMapView);
					}
					fragment.onReEnter();
				}
				else
					fragment.SetReEnterFlag(true);
			}else{
				boolean isModeContainMapView = fragment.isModeContainMapView();
				if (isModeContainMapView) {
					HPGLRenderer.setMapGLRenderer(true);
					HPGLRenderer.setMapUpdateEnable(true);
					HPMapAPI.setContainMapView(isModeContainMapView);
				}
				if (!TextUtils.isEmpty(targetModeName)
						&& fragment.getName() != null
						&& 0 == fragment.getName().compareTo(targetModeName)) {
					if (isStartedByAdd) {
						fragment.onReEnter();
					} else
						fragment.SetReEnterFlag(true);
				}
				else
				    fragment.SetReEnterFlag(false);
			}
				
		    fragment.changeOrientation(HFModesManager.getOrientation());
			//end
			if(result != null && result.isRequestResult()) {
				fragment.onActivityResult(	result.getRequestCode(), 
											result.getResultCode(), 
											result.getResultData());
			}		
		}
		return true;
	}
	
	/**
	* ջ
	*
	* @param  name
	* @param  
	* @return true: ջɹ; false ջʧ
	*/	
	public boolean popFragment(String name) {
		return getSupportFragmentManager().popBackStackImmediate(name, 0);
	}	
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	@Override
	public HFModeFragment returnToFragment(String modeName, int pendingTransition) {
		HFModeFragment fragment = null;
		HPGLRenderer.setMapGLRenderer(false);
		for(int index = mFragmentStacks.size() -1; index >= 0; index--) {
			if(index >= mFragmentStacks.size())
				index = 0;
			fragment = mFragmentStacks.get(index);
			if(fragment.getName() != null && 0 == fragment.getName().compareTo(modeName)) {
				HFModesManager.setFragmentBackground(fragment,pendingTransition);
				return fragment;
			}
			popFragment(false,modeName);
		}
		return null;
	}
	/**
	 * @see cnv.hf.widgets.HFModeWidget#returnToFragment(java.lang.String, int, boolean)
	 */
	@Override
	public HFModeFragment returnToFragment(String modeName,
			int pendingTransition, boolean isTag) {
		// TODO Auto-generated method stub
		HFModeFragment fragment = null;
		HPGLRenderer.setMapGLRenderer(false);
		for(int index = mFragmentStacks.size() -1; index >= 0; index--) {
			fragment = mFragmentStacks.get(index);
			if(isTag){
				if(fragment.getSingleTag() != null && 0 == fragment.getSingleTag().compareTo(modeName)) {
					HFModesManager.setFragmentBackground(fragment,pendingTransition);
					return fragment;
				}
			}else{
				if(fragment.getName() != null && 0 == fragment.getName().compareTo(modeName)) {
					HFModesManager.setFragmentBackground(fragment,pendingTransition);
					return fragment;
				}
			}
			
			popFragment(!isTag,modeName);
		}
		return null;
	}
	/**
	 * ǰFragmentʾһFragment dinghu 2015.6.12
	 * 
	 * @param pendingTransition
	 *            [in] 
	 * @param
	 * @return Id
	 */
	public void addFragment(Class<?> cls, Intent intent, int pendingTransition) {
		addFragment(cls, intent, pendingTransition,true);
	}
	
	/**
	 * ǰFragmentʾһFragment dinghu 2015.6.12
	 * 
	 * @param pendingTransition
	 *            [in] 
	 * @param hasExistAnim Ƿ˳
	 * @return Id
	 */
	public void addFragment(Class<?> cls, Intent intent, int pendingTransition, boolean hasExistAnim) {
		HFModeFragment fragment = null;
		try {
			fragment = (HFModeFragment) cls.newInstance();
			if (intent != null) {
				fragment.setIntent(intent);
				if (intent.getExtras() != null) {
					fragment.setArguments(intent.getExtras());
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		if (fragment != null) {
			fragment.setIsStartedByAdd(true);
			FragmentManager fm = getSupportFragmentManager();
			FragmentTransaction ft = fm.beginTransaction();
			HFModesManager.overrideStartAnimation(ft, pendingTransition,hasExistAnim);
			ft.add(HF_MAPMODE_CONTENT_ID, fragment);
			if(fragment.isAddToTask)
			    ft.addToBackStack(null);
			ft.commitAllowingStateLoss();
		}
	}
	
	
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeWidget returnFragment(HFModeWidget mode, int pendingTransition) {
		return returnFragment(mode,pendingTransition,false);
	}	
	/*======================================================
	: صָģʽ
	:    in_pcModeName      [in]  ģʽ
	ֵ:  ģʽ
	˵: ģʽջѴڣ 򽫸ģʽ֮ϵģʽջ
	======================================================*/
	public HFModeWidget returnFragment(HFModeWidget mode, int pendingTransition,boolean isTag) {
		if(getCurrentFragment() == mode) {
			HPGLRenderer.setMapGLRenderer(false);
			popFragment(!isTag,"");
			HFModesManager.setFragmentBackground(getCurrentFragment(),pendingTransition);
		}
		return getCurrentFragment();
	}
	/**
	* ȡǰĵͼؼ
	*
	* @param  
	* @param  
	* @return ͼؼ
	*/	
	public HFMapWidget getMapWidget() {
		return mMapWidget;
	}
	/**
	* ȡǰFragmentģʽ
	*
	* @param  name
	* @param  
	* @return ģʽ
	*/	
	@Override
	protected String getModeName() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getModeName();
		}
		return null;
	}
	/*======================================================
	: ȡģʽװ
	:  
	
	ֵ: ģʽװ
	======================================================*/
	@Override
	public HFModeLoader getModeLoader() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
        	return ff.getModeLoader();
        }
        return null;
	 }	
	/*======================================================
	: رģʽװ
	:  
	
	ֵ: 
	======================================================*/
	@Override
	public void closeModeLoader(HFModeLoader modeLoader) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.closeModeLoader(modeLoader);
		}
	}
	/*======================================================
	: ͼݴͼ
	:	modeLoader [in] ģʽ
			layerData  [in] ͼ
	ֵ: ͼ
	======================================================*/
	@Override
	public HFLayerWidget createLayerWidgets(HFModeLoader modeLoader, 
			 									HFLayerStorage layerData) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
	    	return ff.createLayerWidgets(modeLoader, layerData);
	    }
	    return null;
	}
	/*======================================================
	: ͼݴͼ
	:	
			layerId  [in] ͼ
			
	ֵ: ͼ
	======================================================*/
	@Override
	public HFLayerWidget createLayerWidgets(int layerId) {
			HFModeFragment ff = getCurrentFragment();
			if(ff != null) {
		    	return ff.createLayerWidgets(layerId);
		    }
		    return null;		 
	 }
	/**
	* ͨӿؼIdȡӿؼ
	*
	* @param  id  [in] ӿؼId
	* @param  
	* @return ӿؼ
	*/	
	@Override
	public HFBaseWidget findWidgetById(int id) {
		
		//ȼͼؼǷҪҵĿؼ
		if(mMapWidget != null && mMapWidget.getId() == id) {
			return mMapWidget;
		} 
		//ڵǰfragmentвƥidĿؼ
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findWidgetById(id);
		}
		return null;
	}
	/**
	* ͨӿؼƻȡӿؼ
	*
	* @param  widgetName  [in] ӿؼ
	* @param  
	* @return ӿؼ
	*/	
	@Override
	public HFBaseWidget findWidgetByName(String widgetName) {
		
		//ȼͼؼǷҪҵĿؼ
		if(mMapWidget != null && mMapWidget.getName() == widgetName) {
			return mMapWidget;
		} 
		//ڵǰfragmentвƥƵĿؼ
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findWidgetByName(widgetName);
		}
		return null;
	}	
	/**
	* ͨӿؼƻȡӿؼ
	*
	* @param  widget  [in] ӿؼĶ
	* @param  
	* @return ӿؼ
	*/	
	@Override
	public HFBaseWidget findWidgetByObject(Object widget) {
		
		//ȼͼؼǷҪҵĿؼ
		if(mMapWidget != null && mMapWidget.getTag() == widget) {
			return mMapWidget;
		} 
		//ڵǰfragmentвƥƵĿؼ
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findWidgetByObject(widget);
		}
		return null;
	}
	/*======================================================
	: ͨͼȡͼ
	:  
			index   [in] ͼ
	
	ֵ: ͼ
	======================================================*/
	@Override
	public HFLayerWidget getLayerByIndex(int index) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.getLayerByIndex(index);
		}
		return null;
	}
	/*======================================================
	: ͨͼIdȡͼ
	:  
			Id   [in] ͼId
	
	ֵ: ͼ
	======================================================*/
	@Override
	public HFLayerWidget findLayerById(int layerId) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findLayerById(layerId);
		}
		return null;		
	}
	/*======================================================
	: ͨͼƻȡͼ
	:  
			Id   [in] ͼId
	
	ֵ: ͼ
	======================================================*/
	@Override
	public HFLayerWidget findLayerByName(String layerName) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findLayerByName(layerName);
		}
		return null;			
	}
	/*======================================================
	: һͼлһͼ
	:  
			fromLayer   [in] лͼ 
			toLayer     [in] Ҫлͼ
	
	ֵ: ͼ
	======================================================*/
	@Override
	public void switchLayerWidget(String fromLayer, String toLayer) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.switchLayerWidget(fromLayer, toLayer);
		}
		return ;			
	}
	/*======================================================
	: һͼģʽϣʾ
	:  
			layerWidget   [in] Ҫӵͼ 

	ֵ: 
	======================================================*/
	@Override
	public void addLayerWidget(HFLayerWidget layerWidget) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.addLayerWidget(layerWidget);
		}
		return ;			
	}
	/*======================================================
	: һͼʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	@Override
	public void addLayerWidget2Display(HFLayerWidget layerWidget) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.addLayerWidget2Display(layerWidget);
		}
		return ;			
	}
	/*======================================================
	: һͼʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	@Override
	public void addLayerWidget2Display(String layerName) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.addLayerWidget2Display(layerName);
		}
		return ;		
	}
	/*======================================================
	: һͼʾ
	:  
			layerIndex   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	@Override
	public void addLayerWidget2Display(int index) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.addLayerWidget2Display(index);
		}
		return ;		
	}
	/*======================================================
	: ʾƳһʾ
	:  
			layerName   [in] Ҫʾͼ 

	ֵ: 
	======================================================*/
	@Override
	public void removeLayerWidgetFromDisplay(String layerName) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.removeLayerWidgetFromDisplay(layerName);
		}
		return ;
	}
	@Override
	public String getName() {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.getName();
		}
		return null;
	}
	@Override
	protected void setName(String widgetName) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.setName(widgetName);
		}
		return ;
	}
	/*=======================================================
	: ȡؼId
	: 
	ֵ: ؼId
	======================================================*/	
	@Override
	public int getModeId() {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.getModeId();
		}
		return 0;
	}
	/*=======================================================
	: ÿؼId
	: id [in] ؼId
	ֵ: 
	======================================================*/
	@Override
	public void setModeId(int id) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.setModeId(id);
		}
		return ;
	}	
	/*======================================================
	: ͨGroupIdRadioButton
	:  groupid       [in] RadioButtonGroupId
	ֵ: еλ
	======================================================*/
	@Override
	protected int findRadioButton(int groupId) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			return ff.findRadioButton(groupId);
		}
		return -1;
	}
	/*======================================================
	: ñѡеRadioButton
	:  in_pRadioButton   [in] ѡеRadioButton
	ֵ: =0:ɹ>0 
	======================================================*/
	@Override
	public void setRadioButton(HFRadioButtonWidget radioButton) {
		HFModeFragment ff = this.getCurrentFragment();
		if(ff != null) {
			ff.setRadioButton(radioButton);
		}
		return ;
	}	
	
	//activityonSaveInstanceState
	@Override
	protected void onSaveInstanceState (Bundle outState){
		super.onSaveInstanceState(outState);
	    HFModesManager.setSaveInstanceState(true);
	}
	@Override
	protected void onRestoreInstanceState(Bundle savedInstanceState) {
		super.onRestoreInstanceState(savedInstanceState);
		HFModesManager.setSaveInstanceState(false);
	}
	
	//activityonResume
	@Override
	protected void onResume() {
		super.onResume();
		setModeActivityState(HFModeActivityState.ActivityState_onOnResume);
		HFModesManager.setMapModeState(HFModeActivityState.ActivityState_onOnResume);
		HFModesManager.setSaveInstanceState(false);
		if(getMapWidget() != null) {
			getMapWidget().onResume();
			getMapWidget().update(true);
		}		
//		HFModeFragment ff = getCurrentFragment();
//		if(ff != null) {
//			ff.onResume();
//		}
	}
	//activityonResume
	@Override
	protected void onPause() {
		super.onPause();
		setModeActivityState(HFModeActivityState.ActivityState_onOnPause);
		if(getMapWidget() != null) {
			getMapWidget().onPause();
		}		
//		HFModeFragment ff = getCurrentFragment();
//		if(ff != null) {
//			ff.onPause();
//		}
	}
	//activityonRestart
	@Override
	protected void onRestart() {
		super.onRestart();
		setModeActivityState(HFModeActivityState.ActivityState_onRestart);
		HFModesManager.setSaveInstanceState(false);
//		HFModeFragment ff = getCurrentFragment();
//		if(ff != null) {
//			ff.onRestart();
//		}	
	}
	
	@Override
	protected void onDestroy() {
		//ùرպ
		super.onDestroy();
		HFModesManager.setMapModeState(HFModeActivityState.ActivityState_onOnDestroy);
		HFModesManager.setMapMode(null);
	}
	
	//activityKeyup
	@Override
	public boolean onKeyUp (int keyCode, KeyEvent event) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			if(ff.onKeyUp(keyCode, event))
				return true;
		}	
		return false;
	}
	//activityKeydown
	@Override
	public boolean onKeyDown (int keyCode, KeyEvent event) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			if(ff.onKeyDown(keyCode, event))
				return true;
		}	
		return false;		
	}
	//activityKeydown
	@Override
	public boolean onTouchEvent (MotionEvent event) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			if(ff.onTouchEvent(event))
				return true;
		}	
		return false;				
	}
	/*======================================================
	: ģʽ¼
	: eventArgs [in] ¼
	ֵ: TRUE: ¼Ѵ FALSE: ¼δ
	======================================================*/
	@Override  
	protected boolean onMessageProc(HPWidgetEventArgument event) {	
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			if(ff.onMessageProc(event))
				return true;
		}			
		return false;
	}
	/*======================================================
	: װdrawable
	:  
	ֵ: 
	======================================================*/
	@Override
	protected void reloadDrawable() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.reloadDrawable();
		}
		return ;
	}
	/**
	* ȡǰFragementMessagelistener
	*
	* @param  
	* @param  
	* @return Messagelistener
	*/		
	@Override
	public HFOnMessageInterface getOnMessageListener() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			if(ff.getOnMessageListener() != null) {
				return ff.getOnMessageListener();
			}
		}
		return super.getOnMessageListener();
	}
	@Override
	public void setOnMessageListener(HFOnMessageInterface listener) {
		super.setOnMessageListener(listener);
	}
	@Override
	public float getXScaleFactor() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getXScaleFactor();
		}
		return 1.0f;
	}
	@Override
	protected void setXScaleFactor(float mXScaleFactor) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.setXScaleFactor(mXScaleFactor);
		}
		return ;
	}
	@Override
	public float getYScaleFactor() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getYScaleFactor();
		}
		return 1.0f;
	}
	@Override
	protected void setYScaleFactor(float mYScaleFactor) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.setYScaleFactor(mYScaleFactor);
		}
		return ;
	}
	/*=======================================================
	:
		
	:
		
	ֵ:
	=======================================================*/
	@Override
	protected void calcScaleFactor() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.calcScaleFactor();
		}
		return ;
	}
	/*=======================================================
	:
		õźX
	:
		originX [in] ԭʼ
	ֵ:
		ź
	=======================================================*/	
	@Override
	protected int getXScaleCoords(int originX) {
		double xx = originX;
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getXScaleCoords(originX);
		}
		return (int) Math.ceil(xx);
	}
	/*=======================================================
	:
		õź
	:
		originX [in] ԭʼ
	ֵ:
		ź
	=======================================================*/	
	@Override
	protected int getYScaleCoords(int originY) {
		double yy = originY;
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getYScaleCoords(originY);
		}
		return (int) Math.ceil(yy);
	}	
	/*=======================================================
	:
		Կؼ
	:
		bound [in] ԭʼ
		deltaXY [in] ƫ
	ֵ:
	˵:
		ʱֻ꣬ſؼĿ
	=======================================================*/
	@Override
	public void scaleCoords(HFWidgetBound bound,int fixedshape) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.scaleCoords(bound,fixedshape);
		}
		return ;
	}
	/*=======================================================
	:
		Layerؼ
	:
		bound 		[in] ԭʼ
		out_DeltaXY	[out] źƫ
	ֵ:
	˵:
		ʱֻ꣬ſؼĿ
	=======================================================*/
	@Override
	protected void scaleLayerCoords(HFWidgetBound bound, HFWidgetPoint out_DeltaXY) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.scaleLayerCoords(bound, out_DeltaXY);
		}
		return ;
	}	
	/**
	* ȡǰģʽĶ
	*
	* @param  
	* @param  
	* @return 
	*/	
	@Override
	public int getPendingTransition() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getPendingTransition();
		}
		return HFPendingTransition.ePendingTransition_Nothing;
	}
	/**
	* õǰģʽĶ
	*
	* @param  defaultTransition [in] 
	* @param  
	* @return 
	*/	
	@Override
	protected void setPendingTransition(int pendingTransition) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.setPendingTransition(pendingTransition);
		}
		return ;
	}
	/**
	* ݵǰģʽconfigorientation
	*
	* @param  cfgOrientation [in] 
	* @param  
	* @return 
	*/	
	@Override
	protected int parseOrientation(int cfgOrientation) {
		int orientation = HFOrientation.eOrientation_Unknown;
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			orientation = ff.parseOrientation(cfgOrientation);
		}else{
			orientation =super.parseOrientation(cfgOrientation);
		}
		return orientation;
	}
	/**
	* ģʽл
	*
	* @param  newConfig [in] config
	* @param  
	* @return 
	*/		
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
		super.onConfigurationChanged(newConfig);
		HFOnChangeOrientationInterface listener = HFModesManager.getOnChangeOrientationListener();
		if(listener != null) {
			int orientation = parseOrientation(newConfig.orientation);
			if(listener.OnChangeOrentation(this, orientation)) {
				mapRelayout(orientation);
				changeOrientation(orientation);
				getSlideMenu().changeOrientation(orientation);
			}
		}
	}
	/**
	* MapWidgetͼлʱ²
	* @param orientation [in] Ϣ
	* @return
	*/
	@SuppressWarnings("deprecation")
	public void mapRelayout(int orientation){
		//ȡǰĻĿ
		int width = HFModesManager.getScreenWidth();
		int height = HFModesManager.getScreenHeight();
		
		
		//20150824 ں״̬ڿ°벿ֻʾɫÿ
		if(HFModesManager.isLandScapeMode() && orientation == HFOrientation.eOrientation_Portrait){
			width = HFModesManager.getScreenHeight();
			height = HFModesManager.getScreenWidth();
		}
		if(HFModesManager.isFullScreen() == false){
			height = height - HFModesManager.getStatusBarHeight();
		}
		//end
		
		mMapWidget.getObject().setLayoutParams(new LayoutParams(width, height, 0, 0));
		layerMap.setLayoutParams(new LayoutParams(width, height, 0, 0));
		mImage.setLayoutParams(new LayoutParams(width, height, 0, 0));
		layerContent.setLayoutParams(new LayoutParams(width, height, 0, 0));
		//Bound,appȡõͼ
		mMapWidget.getBound().setWidth(width);
		mMapWidget.getBound().setHeight(height);
		mMapWidget.getBound().setLeft(0);
		mMapWidget.getBound().setTop(0);
	}
	
	/**
	* л
	*
	* @param  mOrientation 		[in] Ϣ
	* @param  
	* @return 
	*/		
	protected void changeOrientation(int orientation) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.changeOrientation(orientation);
		}
		return ;
	}
	/**
	* ȡģʽ־
	*
	* @param  
	* @param  
	* @return ģʽ־
	*/		
	public int getOrientation() {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			return ff.getOrientation();
		}
		return 0;
	}
	/**
	* ģʽ־
	*
	* @param  orientation [in] ģʽ־
	* @param  
	* @return 
	*/		
	protected void setOrientation(int orientation) {
		HFModeFragment ff = getCurrentFragment();
		if(ff != null) {
			ff.setOrientation(orientation);
		}
		return ;
	}	
	/*======================================================
	: ñѡеRadioButton
	:  in_pRadioButton   [in] ѡеRadioButton
	ֵ: =0:ɹ>0 
	======================================================*/
	public Context getContext() {
		return this;
	}
	/*======================================================
	: ȡǰģʽ
	:    
	ֵ:  ǰģʽ
	======================================================*/
	public HFModeWidget getCurrentMode() {
		HFModeWidget mode =	getCurrentFragment();
		if(mode == null) {
			mode = this;
		}
		return mode;
	}
	
	/*======================================================
	: ȡǰģʽ
	:    
	ֵ:  ǰģʽ
	======================================================*/
	public Vector<HFModeFragment> getFragmentStacks(){
		return mFragmentStacks;
	}
	
	 @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) 
    {
		HFModeFragment fragment = getCurrentFragment();
		if (fragment != null) {
			fragment.onActivityResult(requestCode > 65535 ? requestCode & '\uffff'
					: requestCode, resultCode, data);
		}		
    }
	@Override
	public void inflate() {
		// TODO Auto-generated method stub
	}
	
	/**
	 * жģʽǷ
	 * @param modeName
	 * @see cnv.hf.widgets.HFModeActivity#isExistFragment(java.lang.String)
	 */
	public boolean isExistFragment(String modeName){
		HFModeFragment fragment = null;
		for(int index = mFragmentStacks.size() -1; index >= 0; index--) {
			fragment = mFragmentStacks.get(index);
			if(fragment.getSingleTag() != null && 0 == fragment.getSingleTag().compareTo(modeName)) {
				return true;
			}
		}
		return false;
	}
	
	
	/** ȫģʽ
	 * 
	 * @return void
	 * @author LiangYJ
	 * @date 2015-7-27 10:52:08
	 */ 
	public void clearModes(){
		synchronized(mFragmentStacks){
			if(!HFModesManager.isSaveInstanceState()){
				while (mFragmentStacks != null && mFragmentStacks.size() > 0) {
				    mFragmentStacks.remove(mFragmentStacks.size() - 1);
				    getSupportFragmentManager().popBackStack();
			    }
			}
		    
		}
	}
	
	private void doAnalytics(int type){
		if(HFModesManager.getAnalyticsListener() == null)
			return;
		if(mAnalyticsStorage == null)
			mAnalyticsStorage = new HFAnalyticsStorage();
		mAnalyticsStorage.setLifeCycle(type);
		mAnalyticsStorage.setModeName(getClass().getSimpleName());
		if(type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Create_Begin ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Start_Begin ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Resume_Begin ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Destroy_Begin || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_ReStart_Begin || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Pause_Begin || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Stop_Begin){
			mAnalyticsStorage.setCostTime(0);
		}else if(type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Create_Finish ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Start_Finish ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Resume_Finish ||
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Destroy_Finish || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_ReStart_Finish || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Pause_Finish || 
				type == HFAnalyticsStorage.HFModeLifeCycle.LifeCycle_Stop_Finish){
			mAnalyticsStorage.setCostTime(System.currentTimeMillis() - mAnalyticsStorage.getCurrentTime());
		}
		mAnalyticsStorage.setCurrentTime(System.currentTimeMillis());
		HFModesManager.getAnalyticsListener().onGetAnalyticsMsg(mAnalyticsStorage);
	}
	
	/**
	 * @see cnv.hf.widgets.HFModeActivity#resetMapView(int, int)
	 */
	@Override
	public void resetMapView(int width, int height) {
		super.resetMapView(width, height);
		//öջonResume貼
		if(mFragmentStacks != null && mFragmentStacks.size() > 1){
			for (int i = 0; i < mFragmentStacks.size() - 1; i++) {
				mFragmentStacks.get(i).setResetLayoutOnResume(true);
			}
		}
		
		if(mFragmentStacks != null && mFragmentStacks.size() > 0){
			HFModeFragment fragment = mFragmentStacks.get(mFragmentStacks.size() - 1);
			fragment.resetLayout();
		}
	}
	
	/**
	 * @see cnv.hf.widgets.HFModeActivity#beforeResetLayout()
	 */
	@Override
	public void beforeResetLayout() {
		super.beforeResetLayout();
		if(mFragmentStacks != null && mFragmentStacks.size() > 0){
			HFModeFragment fragment = mFragmentStacks.get(mFragmentStacks.size() - 1);
			fragment.beforeResetLayout();
		}
	}
	
//	private void setScreentHeight(final boolean reset) { 
//		new Runnable() {
//			public void run() {
//				try {
//					Thread.sleep(50);
//				} catch (InterruptedException e) {
//					// TODO Auto-generated catch block
//					e.printStackTrace();
//				}
//				int heightPixels;  
//			    WindowManager w = getWindowManager();  
//			    Display d = w.getDefaultDisplay();  
//			    DisplayMetrics metrics = new DisplayMetrics();  
//			    d.getMetrics(metrics);  
//			    // since SDK_INT = 1;  
//			    heightPixels = metrics.heightPixels;  
//			    
//			    if(checkDeviceHasNavigationBar(HFMapActivity.this)){//е
//			    	// includes window decorations (statusbar bar/navigation bar)  
//				    if (Build.VERSION.SDK_INT >= 14 && Build.VERSION.SDK_INT < 17)  {
//				    	try {  
//				    		heightPixels = (Integer) Display.class  
//				    				.getMethod("getRawHeight").invoke(d);  
//				    	} catch (Exception ignored) {  
//				    		ignored.printStackTrace();
//				    	}  
//				    }
//				    // includes window decorations (statusbar bar/navigation bar)  
//				    else if (Build.VERSION.SDK_INT >= 17)  {
//				    	try {  
//				    		android.graphics.Point realSize = new android.graphics.Point();  
//				    		Display.class.getMethod("getRealSize",  
//				    				android.graphics.Point.class).invoke(d, realSize);  
//				    		
//				    		if (realSize.y > d.getHeight()){
//				    			heightPixels = d.getHeight();
//				    		}else{
//				    			heightPixels = realSize.y;  
//				    		}
//				    	} catch (Exception ignored) {  
//				    		ignored.printStackTrace();
//				    	}  
//				    }
//			    }else{
//			    	android.graphics.Point realSize = new android.graphics.Point();
//			    	heightPixels = d.getHeight();
//			    }
//			    
//			    
//			    Log.v("CLDLOG","realHightPixels-heightPixels:"+heightPixels+";screenHeight:"+HFModesManager.getScreenHeight());
//			    if(!HFModesManager.isSaveInstanceState()&&(reset || heightPixels != HFModesManager.getScreenHeight())){
//
//					Message msg = mHandler.obtainMessage();
//					msg.what = 1;
//					//ǰ߶ȴ֮ǰĸ߶ȣΪûе
//					if(heightPixels > HFModesManager.getScreenHeight()){
//						msg.obj = heightPixels - HFModesManager.getScreenHeight();
//						maxHeight = heightPixels;
//					}else{//ǰ߶ȵ߶ȣΪûе
//						if(heightPixels == maxHeight){
//							msg.obj = 10;
//						}else{
//							msg.obj = -1;
//						}
//					}
//					
//			    	HFModesManager.setScreenPixels(d.getWidth(), heightPixels);
//				    mScreenHeight = heightPixels;
//					mHandler.sendMessage(msg);
//			    }
//
//				if(heightPixels > maxHeight){
//					maxHeight = heightPixels;
//				}
//				
//			}
//		}.run();
//	    
//	}
//	public static boolean checkDeviceHasNavigationBar(Context activity) {  
//		  
//        //ͨж豸Ƿзؼ˵(,ֻĻİ)ȷǷnavigation bar  
//        boolean hasMenuKey = ViewConfiguration.get(activity)  
//                .hasPermanentMenuKey();  
//        boolean hasBackKey = KeyCharacterMap  
//                .deviceHasKey(KeyEvent.KEYCODE_BACK);  
//  
//        if (!hasMenuKey && !hasBackKey) {  
//            // κҪ,豸һ  
//            return true;  
//        }  
//        return false;  
//    }  
//	
//	@SuppressLint("NewApi")
//	private Handler mHandler = new Handler(){
//		@SuppressLint("NewApi")
//		public void handleMessage(Message msg) {
//			if(msg.what == 1){
//				mHandler.removeMessages(1);
////				HFModeFragment hf = getCurrentFragment();
////				Log.e("CLDLOG", "hasNavigation height:"+((Integer)(msg.obj)));
////				boolean hasNavigation = (Integer)(msg.obj) > 0;
////	        	if(hf != null){
////	        		Log.e("ds", "mScreenHeight " +mScreenHeight+ "getScreenWidth " +HFModesManager.getScreenWidth());
////	        		hf.reLayoutWidgets(HFModesManager.getScreenWidth(),mScreenHeight,HFModesManager.getScreenWidth(),HFModesManager.getScreenHeight());
////	        		mScreenHeight = HFModesManager.getScreenHeight();
////	        		hf.resetWidthHeight(HFModesManager.getScreenWidth(),mScreenHeight,hasNavigation);
////	        	}
////				moveLayer(!hasNavigation);
//			}
//		};
//	};
//	
//	private HFIOnSlideMenuChangedListener mSlideMenuChangedListener = new HFIOnSlideMenuChangedListener() {
//		
//		@Override
//		public void changed() {
//			// TODO Auto-generated method stub
//			setScreentHeight(false);
//		}
//	};
}
